﻿@using Microsoft.AspNetCore.Identity
@inject SignInManager<ApplicationUser> SignInManager
@inject UserManager<ApplicationUser> UserManager

<!DOCTYPE html>
<html lang="fa">
<head>
    <title>لامینگو</title>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="description" content="لامینگو">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta property="og:locale" content="fa_IR" />
    <meta property="og:site_name" content="لامینگو" />
    <meta name="theme-color" content="#6e1529">
    <meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">
    <script src="https://browser.sentry-cdn.com/5.6.3/bundle.min.js" integrity="sha384-/Cqa/8kaWn7emdqIBLk3AkFMAHBk0LObErtMhO+hr52CntkaurEnihPmqYj3uJho" crossorigin="anonymous"></script>
    @RenderSection("Meta", false)

    <script>
        Sentry.init({ dsn: 'https://b45ccf068efb464ba2df41bdcf1c86fd@sentry.io/1764503' });
    </script>

    <environment include="Development">
        
    </environment>
    @RenderSection("PreventBack", required: false)
    <link rel="stylesheet" type="text/css" href="~/widget/css/bootstrap.min.css">
    <link href="~/widget/css/font-awesome-all.min.css" rel="stylesheet" type="text/css">
    <link rel="stylesheet" type="text/css" href="~/widget/css/owl.carousel.css">
    <link rel="stylesheet" type="text/css" href="~/widget/css/owl.theme.default.css">
    <link rel="stylesheet" type="text/css" href="~/widget/css/animate.css">
    <link rel="stylesheet" type="text/css" href="~/widget/css/main_styles.css">
    <link rel="stylesheet" type="text/css" href="~/widget/css/responsive.css">
    <link rel="stylesheet" href="~/lib/font-awesome/css/font-awesome.css" />
    <link rel="stylesheet" href="~/lib/aos/aos.css" />

    <link rel="stylesheet" href="~/css/NewContract.css" />
    <link href="~/css/perfect-scrollbar.css" rel="stylesheet" />
    <environment exclude="Development">

        @*<!BEGIN RAYCHAT CODE-->
            <script type="text/javascript">!function () { function t() { var t = document.createElement("script"); t.type = "text/javascript", t.async = !0, localStorage.getItem("rayToken") ? t.src = "https://app.raychat.io/scripts/js/" + o + "?rid=" + localStorage.getItem("rayToken") + "&href=" + window.location.href : t.src = "https://app.raychat.io/scripts/js/" + o; var e = document.getElementsByTagName("script")[0]; e.parentNode.insertBefore(t, e) } var e = document, a = window, o = "4317d4d9-1f25-458d-a921-977d26850bc1"; "complete" == e.readyState ? t() : a.attachEvent ? a.attachEvent("onload", t) : a.addEventListener("load", t, !1) }();</script>
            <!END RAYCHAT CODE-->*@

        @*<link rel="stylesheet" href="~/Publish/Widget/Main.min.css" asp-append-version="true" />*@
        <style>

            .super_container {
                position: relative;
            }

            body::-webkit-scrollbar-track {
                -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
                border-radius: 5px;
                background-color: #F5F5F5;
            }

            body::-webkit-scrollbar {
                width: 12px;
                background-color: #F5F5F5;
            }

            body::-webkit-scrollbar-thumb {
                border-radius: 5px;
                -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
                background-color: #374550;
            }
        </style>
        <script>

            (function (i, s, o, g, r, a, m) {
                i['GoogleAnalyticsObject'] = r; i[r] = i[r] || function () {
                    (i[r].q = i[r].q || []).push(arguments)
                }, i[r].l = 1 * new Date(); a = s.createElement(o),
                    m = s.getElementsByTagName(o)[0]; a.async = 1; a.src = g; m.parentNode.insertBefore(a, m)
            })(window, document, 'script', 'https://www.google-analytics.com/analytics.js', 'ga');

            ga('create', 'UA-135980529-1', 'auto');
            ga('send', 'pageview');

        </script>
    </environment>
    @RenderSection("Styles", required: false)
</head>
<body>
    <div class="super_container">
        <header class="header scrolled">
            <div class="row">
                <div class="col">
                    <div class="header_content d-flex flex-row align-items-center justify-content-start">

                        <div class="logo">
                            <a>
                                <img src="/logotype.png" style="height: 24px;">
                                <span style="font-weight: 100;padding-top: 5px;">
                                    پلتفرم هوشمند تولید آنلاین قرارداد
                                </span>
                            </a>
                        </div>

                        <nav class="main_nav" style="justify-content: flex-end;display: flex;align-items:center">

                            <span data-aos="fade-right" class="pageTitle" style="padding-right: 20px;font-size: 20px;color: #364650;font-size: 18px;">
                                @ViewData["title"]
                            </span>

                            <ul class="menuBar" style="display:none">
                                <li><a href="/widget">لیست قراردادها</a></li>
                                <li><a href="/Identity/Account/Manage/Contract?layout=widget">قراردادهای من</a></li>
                                @*<li><a href="#">اعتبار</a></li>*@
                                @*<li><a href="#">پشتیبانی</a></li>*@
                            </ul>

                            <i class="fas fa-bars hamburger" onclick="handleMenu(event)"></i>
                        </nav>
                    </div>
                </div>
            </div>

        </header>

        <section class="main"></section>
        @RenderBody()

        <footer class="footer">
            <div class="container">
                <div class="row row-lg-eq-height">
                    <div class="col-lg-12 order-lg-1 order-2">
                        <div class="footer_content">
                            <div class="footer-right">
                                <div class=""><a href="http://dadfco.ir/" target="_blank">اولین شرکت دانش بنیان خدمات حقوقی کشور |</a></div><div class="" style="font-weight: bold;">
                                    <a href="#" style="font-weight: 500;font-size: 12px;">قدرت گرفته از دادفلامینگو</a>
                                </div>
                            </div>
                            <div class="footer-left">
                                <a href="https://www.lawmingo.com" target="_blank" style="font-size: 12px;font-family: inherit;">
                                    www.lawmingo.com
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </footer>
    </div>
    <script src="~/lib/jquery/dist/jquery.js"></script>
    <script src="~/lib/bootstrap/dist/js/bootstrap.js"></script>
    <script src="~/lib/aos/aos.js"></script>
    <script src="~/lib/jsrender/jsrender.js"></script>
    <script src="~/lib/OwlCarousel2/owl.carousel.js"></script>
    <script src="~/js/GetContract.js" asp-append-version="true"></script>
    @*<script src="~/js/site.js" asp-append-version="true"></script>*@
    <script src="~/widget/js/vue.js" type="text/javascript"></script>
    <script src="~/widget/js/popper.js" type="text/javascript"></script>
    <script src="~/widget/js/bootstrap.min.js" type="text/javascript"></script>
    <script src="~/widget/js/owl.carousel.js" type="text/javascript"></script>
    <script src="~/widget/js/easing.js" type="text/javascript"></script>
    <script src="~/widget/js/masonry.js" type="text/javascript"></script>
    <script src="~/widget/js/moment.js" type="text/javascript"></script>
    <script src="~/widget/js/moment-jalaali.js" type="text/javascript"></script>
    <script src="~/js/perfect-scrollbar.min.js"></script>
    <script src="~/widget/JS/lottie.min.js" type="text/javascript"></script>
    <script src="~/jquery.blockUI.js"></script>

    <environment include="Development">
    </environment>

    <environment exclude="Development">
        @*<script src="~/Publish/widget/Main.min.js" asp-append-version="true"></script>*@
    </environment>

    <script type="text/x-template" id="gridItemtmpl">
        <div class="col-4 itemcontainer" data-aos="fade-up" :data-aos-delay="index*200">
            <a @@click="blockIt($event)" class="catitem blockarea" :href="`/widget/contract/${item.id}/@ViewData["usertoken"]/@ViewData["partnertoken"]`">
                <div class="itemimage"></div>
                <div class="itemtitle" v-text="item.title">
                </div>
                <div class="itemprice">
                    <div class="pricecontainerbase">
                        <div class="itempricecontainer">
                            <div v-if="item.price != 0">
                                <div style="font-size: 12px;color: #444444;padding-right: 5px;">تومان</div>
                                <div style="font-size: 24px;color: #801323;" v-text="item.price"></div>
                            </div>
                            <div v-else>
                                <div style="font-size: 12px;color: #444444;padding-right: 5px;">رایگان</div>
                            </div>
                        </div>
                        <div class="tags">
                            <span class="catbadge" v-text="item.category"></span>
                        </div>

                    </div>
                </div>
                @*<div class="itemprice" v-text="item.discount"></div>*@

            </a>
        </div>
    </script>

    <script>
        AOS.init({
          once: true
         });

        $.blockUI.defaults.css = {
            padding:        0,
            margin:         0,
            width:          '30%',
            top:            '40%',
            left:           '35%',
            textAlign:      'center',
            color:          '#000',
            border:         'none',
            backgroundColor:'none',
            cursor:         'wait'
        }
        $.blockUI.defaults.overlayCSS = {
            backgroundColor: '#fff',
            opacity:         0.6,
            cursor:          'wait'
        }
        function handleMenu(e) {
            var isClose = $(e.target).hasClass('fa-bars');
            if (isClose) {
                $(e.target).removeClass('fa-bars').addClass('fa-times');
                $('.menuBar').show();
                $('.pageTitle').hide();
            }
            else {
                $(e.target).removeClass('fa-times').addClass('fa-bars');
                $('.menuBar').hide();
                $('.pageTitle').show();
            }

        }
        Vue.component('preloader', {
            props: ['visible'],
            template: '<div v-if="visible" style="display: flex;justify-content: center;margin: 30px auto;"><img src="/Images/Loader/ajax-loader.gif" /></div>'
        });

        moment().format('jYYYY/jM/jD');
        moment.loadPersian();
        const ps = new PerfectScrollbar('.super_container');

        var persianTime = function(s) {
            return moment(s, 'YYYY-M-DTHH:mm:ss').format('jD jMMMM jYYYY HH:mm');
        };

        postUrl = function (item) {
            if (item.subject == null) {
                return `/widget/${item.seo.replace(/ /g, '-')}`;
            }
            return `/widget/${item.subject.replace(/ /g, '-')}/${item.seo.replace(/ /g, '-')}`;
        };

        Vue.component('grid-item-title', {
          props: ['title'],
          template: '<h3>{{ title }}</h3>'
        })

        Vue.component('grid-item', {
            props: ['item' ,'type' , 'index'],
            template: '#gridItemtmpl',
            methods: {
                url: function (item) {
                    return `/${item.id}/${item.title.replace(/ /g, '-')}`;
                },
            }
        });

        function validateEmail(email)
        {
            var re = /\S+@@\S+\.\S+/;
            return re.test(email);
        }

        function validateMobile(mobile){
            //var re = /^0*?[9]\d{9}$/;
            //return re.test(mobile);
            return true;
        }

        function blockIt(e) {
            var el = $(event.target).hasClass('blockarea') ? event.target : $(event.target).parents('.blockarea')[0];
            console.log(el);
            $(el).block({
                message: '<img src="/Images/Loader/ajax-loader.gif" />'
            });
        }
        var General = {
            GetItems: function (k) {
                _contractItems.$data.dataloaded = false;
                var ret = $.ajax({
                    type: "GET",
                    url: "/widget/items/@ViewData["usertoken"]/@ViewData["partnertoken"]",
                    data: { k },
                    dataType: "json",
                    success: function (response) {
                        _contractItems.$data.items = response;
                        _contractItems.$data.dataloaded = true;
                    }
                });
            }
        }

        var _contractItems = new Vue({
            el: '#_items',
            data: {
                dataloaded : false,
                items: []
            }
        })

    </script>
    @RenderSection("Scripts", required: false)
</body>
</html>

